Index: ./multimedia/ming/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/ming/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./multimedia/ming/buildlink3.mk	4 Nov 2005 02:59:54 -0000	1.1.1.1
+++ ./multimedia/ming/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	ming
 
 .if !empty(MING_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ming+=	ming>=0.2
+BUILDLINK_API_DEPENDS.ming+=	ming>=0.2
 BUILDLINK_PKGSRCDIR.ming?=	../../multimedia/ming
 .endif	# MING_BUILDLINK3_MK
 
Index: ./multimedia/mjpegtools/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/mjpegtools/buildlink3.mk,v
retrieving revision 1.10
diff -u -r1.10 buildlink3.mk
--- ./multimedia/mjpegtools/buildlink3.mk	5 Feb 2006 23:10:17 -0000	1.10
+++ ./multimedia/mjpegtools/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	mjpegtools
 
 .if !empty(MJPEGTOOLS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mjpegtools+=		mjpegtools>=1.8.0
-BUILDLINK_RECOMMENDED.mjpegtools?=	mjpegtools>=1.8.0nb3
+BUILDLINK_API_DEPENDS.mjpegtools+=		mjpegtools>=1.8.0
+BUILDLINK_ABI_DEPENDS.mjpegtools?=	mjpegtools>=1.8.0nb3
 BUILDLINK_PKGSRCDIR.mjpegtools?=	../../multimedia/mjpegtools
 .endif	# MJPEGTOOLS_BUILDLINK3_MK
 
Index: ./multimedia/mpeg-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/mpeg-lib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./multimedia/mpeg-lib/buildlink3.mk	3 Oct 2004 00:13:03 -0000	1.2
+++ ./multimedia/mpeg-lib/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mpeg
 
 .if !empty(MPEG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mpeg+=	mpeg>=1.3.1
-BUILDLINK_RECOMMENDED.mpeg+=	mpeg>=1.3.1nb1
+BUILDLINK_API_DEPENDS.mpeg+=	mpeg>=1.3.1
+BUILDLINK_ABI_DEPENDS.mpeg+=	mpeg>=1.3.1nb1
 BUILDLINK_PKGSRCDIR.mpeg?=	../../multimedia/mpeg-lib
 .endif	# MPEG_BUILDLINK3_MK
 
Index: ./multimedia/ogle/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/ogle/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/ogle/buildlink3.mk	5 Feb 2006 23:10:17 -0000	1.3
+++ ./multimedia/ogle/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ogle
 
 .if !empty(OGLE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ogle+=	ogle>=0.9.2
-BUILDLINK_RECOMMENDED.ogle+=	ogle>=0.9.2nb3
+BUILDLINK_API_DEPENDS.ogle+=	ogle>=0.9.2
+BUILDLINK_ABI_DEPENDS.ogle+=	ogle>=0.9.2nb3
 BUILDLINK_PKGSRCDIR.ogle?=	../../multimedia/ogle
 .endif	# OGLE_BUILDLINK3_MK
 
Index: ./multimedia/openquicktime/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/openquicktime/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./multimedia/openquicktime/buildlink3.mk	5 Feb 2006 23:10:18 -0000	1.3
+++ ./multimedia/openquicktime/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	openquicktime
 
 .if !empty(OPENQUICKTIME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openquicktime+=	openquicktime>=1.0nb2
-BUILDLINK_RECOMMENDED.openquicktime?=	openquicktime>=1.0nb4
+BUILDLINK_API_DEPENDS.openquicktime+=	openquicktime>=1.0nb2
+BUILDLINK_ABI_DEPENDS.openquicktime?=	openquicktime>=1.0nb4
 BUILDLINK_PKGSRCDIR.openquicktime?=	../../multimedia/openquicktime
 .endif	# OPENQUICKTIME_BUILDLINK3_MK
 
Index: ./multimedia/smpeg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/smpeg/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./multimedia/smpeg/buildlink3.mk	5 Feb 2006 23:10:18 -0000	1.6
+++ ./multimedia/smpeg/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	smpeg
 
 .if !empty(SPMEG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.smpeg+=	smpeg>=0.4.4nb3
-BUILDLINK_RECOMMENDED.smpeg+=	smpeg>=0.4.4nb12
+BUILDLINK_API_DEPENDS.smpeg+=	smpeg>=0.4.4nb3
+BUILDLINK_ABI_DEPENDS.smpeg+=	smpeg>=0.4.4nb12
 BUILDLINK_PKGSRCDIR.smpeg?=	../../multimedia/smpeg
 .endif	# SMPEG_BUILDLINK3_MK
 
Index: ./multimedia/swfdec/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/swfdec/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./multimedia/swfdec/buildlink3.mk	5 Feb 2006 23:10:18 -0000	1.5
+++ ./multimedia/swfdec/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	swfdec
 
 .if !empty(SWFDEC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.swfdec+=	swfdec>=0.2.2
-BUILDLINK_RECOMMENDED.swfdec+=	swfdec>=0.2.2nb5
+BUILDLINK_API_DEPENDS.swfdec+=	swfdec>=0.2.2
+BUILDLINK_ABI_DEPENDS.swfdec+=	swfdec>=0.2.2nb5
 BUILDLINK_PKGSRCDIR.swfdec?=	../../multimedia/swfdec
 .endif	# SWFDEC_BUILDLINK3_MK
 
Index: ./multimedia/totem/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/totem/Makefile.common,v
retrieving revision 1.13
diff -u -r1.13 Makefile.common
--- ./multimedia/totem/Makefile.common	18 Jan 2006 12:55:55 -0000	1.13
+++ ./multimedia/totem/Makefile.common	4 Apr 2006 06:26:55 -0000
@@ -26,13 +26,13 @@
 GCONF2_SCHEMAS+=	totem-handlers.schemas
 GCONF2_SCHEMAS+=	totem-video-thumbnail.schemas
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.3
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.3
 
 PKG_OPTIONS_VAR=	PKG_OPTIONS.totem
 .include "../../www/mozilla/gecko-options.mk"
 .include "../../mk/bsd.options.mk"
 
-BUILDLINK_DEPENDS.gnome-icon-theme+=	gnome-icon-theme>=2.10.0
+BUILDLINK_API_DEPENDS.gnome-icon-theme+=	gnome-icon-theme>=2.10.0
 
 .include "../../audio/musicbrainz/buildlink3.mk"
 .include "../../devel/GConf2/schemas.mk"
Index: ./multimedia/vlc/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- ./multimedia/vlc/Makefile	9 Mar 2006 21:04:45 -0000	1.28
+++ ./multimedia/vlc/Makefile	4 Apr 2006 06:26:55 -0000
@@ -23,8 +23,8 @@
 .if ${OPSYS} == "NetBSD"
 CONFIGURE_ARGS+=        --disable-vcd
 .endif
-BUILDLINK_DEPENDS.vcdimager+=	vcdimager>=0.7.20nb1
-BUILDLINK_DEPENDS.ffmpeg+=	ffmpeg>=0.4.8nb1 # Postprocess fix
+BUILDLINK_API_DEPENDS.vcdimager+=	vcdimager>=0.7.20nb1
+BUILDLINK_API_DEPENDS.ffmpeg+=	ffmpeg>=0.4.8nb1 # Postprocess fix
 
 CONFIGURE_ARGS+=	--disable-skins2
 CONFIGURE_ARGS+=	--disable-speex # needs unstable 1.1.x branch
Index: ./multimedia/vlc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/vlc/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./multimedia/vlc/buildlink3.mk	5 Feb 2006 23:10:18 -0000	1.8
+++ ./multimedia/vlc/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -14,8 +14,8 @@
 
 .if !empty(VLC_BUILDLINK3_MK:M+)
 BUILDLINK_PACKAGES+=		vlc
-BUILDLINK_DEPENDS.vlc?=		vlc>=0.7.1
-BUILDLINK_RECOMMENDED.vlc?=	vlc>=0.7.2nb9
+BUILDLINK_API_DEPENDS.vlc?=		vlc>=0.7.1
+BUILDLINK_ABI_DEPENDS.vlc?=	vlc>=0.7.2nb9
 BUILDLINK_PKGSRCDIR.vlc?=	../../multimedia/vlc
 .endif # VLC_BUILDLINK3_MK
 
Index: ./multimedia/x264-devel/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/x264-devel/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./multimedia/x264-devel/buildlink3.mk	12 Feb 2006 14:11:22 -0000	1.1.1.1
+++ ./multimedia/x264-devel/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -12,7 +12,7 @@
 BUILDLINK_PACKAGES+=	x264-devel
 
 .if !empty(X264_DEVEL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.x264-devel+=	x264-devel>=20060127
+BUILDLINK_API_DEPENDS.x264-devel+=	x264-devel>=20060127
 BUILDLINK_PKGSRCDIR.x264-devel?=	../../multimedia/x264-devel
 .endif	# X264_DEVEL_BUILDLINK3_MK
 
Index: ./multimedia/xine-lib/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/xine-lib/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- ./multimedia/xine-lib/Makefile	5 Feb 2006 23:10:18 -0000	1.31
+++ ./multimedia/xine-lib/Makefile	4 Apr 2006 06:26:55 -0000
@@ -6,7 +6,7 @@
 
 COMMENT=		Multimedia player library
 
-BUILDLINK_DEPENDS.vcdimager+= vcdimager>=0.7.20nb1
+BUILDLINK_API_DEPENDS.vcdimager+= vcdimager>=0.7.20nb1
 
 SUBST_CLASSES+=		oss w32path
 
@@ -24,7 +24,7 @@
 SUBST_MESSAGE.w32path=	"Fixing win32 dll path."
 
 # Needed to fix build problems under, at least, NetBSD/amd64.
-BUILDLINK_DEPENDS.libcdio+=	libcdio>=0.75
+BUILDLINK_API_DEPENDS.libcdio+=	libcdio>=0.75
 
 .include "../../audio/flac/buildlink3.mk"
 .include "../../audio/libvorbis/buildlink3.mk"
Index: ./multimedia/xine-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/xine-lib/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./multimedia/xine-lib/buildlink3.mk	5 Feb 2006 23:10:19 -0000	1.13
+++ ./multimedia/xine-lib/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	xine-lib
 
 .if !empty(XINE_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xine-lib+=	xine-lib>=1rc3c
-BUILDLINK_RECOMMENDED.xine-lib+=xine-lib>=1.0.3a
-BUILDLINK_RECOMMENDED.xine-lib?=	xine-lib>=1.0.3anb5
+BUILDLINK_API_DEPENDS.xine-lib+=	xine-lib>=1rc3c
+BUILDLINK_ABI_DEPENDS.xine-lib+=xine-lib>=1.0.3a
+BUILDLINK_ABI_DEPENDS.xine-lib?=	xine-lib>=1.0.3anb5
 BUILDLINK_PKGSRCDIR.xine-lib?=	../../multimedia/xine-lib
 .endif	# XINE_LIB_BUILDLINK3_MK
 
Index: ./multimedia/xine-ui/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/xine-ui/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- ./multimedia/xine-ui/Makefile	4 Mar 2006 21:30:16 -0000	1.20
+++ ./multimedia/xine-ui/Makefile	4 Apr 2006 06:26:55 -0000
@@ -12,7 +12,7 @@
 
 BUILD_USES_MSGFMT=	YES
 
-BUILDLINK_DEPENDS.curl+=	curl>7.10.2
+BUILDLINK_API_DEPENDS.curl+=	curl>7.10.2
 
 USE_PKGLOCALEDIR=	YES
 USE_DIRS+=		xdg-1.1
Index: ./multimedia/xvidcore/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/multimedia/xvidcore/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./multimedia/xvidcore/buildlink3.mk	13 Mar 2006 18:24:45 -0000	1.7
+++ ./multimedia/xvidcore/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xvidcore
 
 .if !empty(XVIDCORE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xvidcore+=	xvidcore>=1.0.0
-BUILDLINK_RECOMMENDED.xvidcore?=	xvidcore>=1.1.0nb1
+BUILDLINK_API_DEPENDS.xvidcore+=	xvidcore>=1.0.0
+BUILDLINK_ABI_DEPENDS.xvidcore?=	xvidcore>=1.1.0nb1
 BUILDLINK_PKGSRCDIR.xvidcore?=	../../multimedia/xvidcore
 .endif	# XVIDCORE_BUILDLINK3_MK
 
Index: ./net/GeoIP/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/GeoIP/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/GeoIP/buildlink3.mk	3 Oct 2004 00:17:48 -0000	1.3
+++ ./net/GeoIP/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GeoIP
 
 .if !empty(GEOIP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GeoIP+=	GeoIP>=1.3.1
-BUILDLINK_RECOMMENDED.GeoIP+=	GeoIP>=1.3.4nb1
+BUILDLINK_API_DEPENDS.GeoIP+=	GeoIP>=1.3.1
+BUILDLINK_ABI_DEPENDS.GeoIP+=	GeoIP>=1.3.4nb1
 BUILDLINK_PKGSRCDIR.GeoIP?=	../../net/GeoIP
 .endif	# GEOIP_BUILDLINK3_MK
 
Index: ./net/ORBit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/ORBit/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./net/ORBit/buildlink3.mk	5 Feb 2006 23:10:22 -0000	1.6
+++ ./net/ORBit/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ORBit
 
 .if !empty(ORBIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ORBit+=	ORBit>=0.5.15nb5
-BUILDLINK_RECOMMENDED.ORBit+=	ORBit>=0.5.17nb1
+BUILDLINK_API_DEPENDS.ORBit+=	ORBit>=0.5.15nb5
+BUILDLINK_ABI_DEPENDS.ORBit+=	ORBit>=0.5.17nb1
 BUILDLINK_PKGSRCDIR.ORBit?=	../../net/ORBit
 .endif	# ORBIT_BUILDLINK3_MK
 
Index: ./net/ORBit2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/ORBit2/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./net/ORBit2/buildlink3.mk	5 Feb 2006 23:10:22 -0000	1.9
+++ ./net/ORBit2/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ORBit2
 
 .if !empty(ORBIT2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ORBit2+=	ORBit2>=2.12.0
-BUILDLINK_RECOMMENDED.ORBit2?=	ORBit2>=2.12.4nb1
+BUILDLINK_API_DEPENDS.ORBit2+=	ORBit2>=2.12.0
+BUILDLINK_ABI_DEPENDS.ORBit2?=	ORBit2>=2.12.4nb1
 BUILDLINK_PKGSRCDIR.ORBit2?=	../../net/ORBit2
 
 PRINT_PLIST_AWK+=	/^@dirrm lib\/orbit-2.0$$/ \
Index: ./net/SDL_net/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/SDL_net/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./net/SDL_net/buildlink3.mk	5 Feb 2006 23:10:22 -0000	1.5
+++ ./net/SDL_net/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDL_net
 
 .if !empty(SDL_NET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDL_net+=	SDL_net>=1.2.5nb1
-BUILDLINK_RECOMMENDED.SDL_net+=	SDL_net>=1.2.5nb5
+BUILDLINK_API_DEPENDS.SDL_net+=	SDL_net>=1.2.5nb1
+BUILDLINK_ABI_DEPENDS.SDL_net+=	SDL_net>=1.2.5nb5
 BUILDLINK_PKGSRCDIR.SDL_net?=	../../net/SDL_net
 .endif	# SDL_NET_BUILDLINK3_MK
 
Index: ./net/adns/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/adns/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/adns/buildlink3.mk	5 Feb 2006 23:10:22 -0000	1.3
+++ ./net/adns/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	adns
 
 .if !empty(ADNS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.adns+=	adns>=1.0
-BUILDLINK_RECOMMENDED.adns+=	adns>=1.1nb2
+BUILDLINK_API_DEPENDS.adns+=	adns>=1.0
+BUILDLINK_ABI_DEPENDS.adns+=	adns>=1.1nb2
 BUILDLINK_PKGSRCDIR.adns?=	../../net/adns
 .endif	# ADNS_BUILDLINK3_MK
 
Index: ./net/bind9/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/bind9/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./net/bind9/buildlink3.mk	3 Oct 2004 00:17:49 -0000	1.7
+++ ./net/bind9/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	bind
 
 .if !empty(BIND_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.bind+=	bind>=9.2.2
-BUILDLINK_RECOMMENDED.bind+=	bind>=9.2.3nb5
+BUILDLINK_API_DEPENDS.bind+=	bind>=9.2.2
+BUILDLINK_ABI_DEPENDS.bind+=	bind>=9.2.3nb5
 BUILDLINK_PKGSRCDIR.bind?=	../../net/bind9
 
 BUILDLINK_INCDIRS.bind?=	include/bind
Index: ./net/bind9/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/bind9/builtin.mk,v
retrieving revision 1.9
diff -u -r1.9 builtin.mk
--- ./net/bind9/builtin.mk	26 Jun 2005 04:05:41 -0000	1.9
+++ ./net/bind9/builtin.mk	4 Apr 2006 06:26:55 -0000
@@ -58,7 +58,7 @@
 .    if defined(BUILTIN_PKG.bind) && \
         !empty(IS_BUILTIN.bind:M[yY][eE][sS])
 USE_BUILTIN.bind=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.bind}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.bind}
 .        if !empty(USE_BUILTIN.bind:M[yY][eE][sS])
 USE_BUILTIN.bind!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.bind:Q}; then	\
Index: ./net/boinc3-libs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/boinc3-libs/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./net/boinc3-libs/buildlink3.mk	19 Jul 2004 20:11:04 -0000	1.1.1.1
+++ ./net/boinc3-libs/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	boinclibs
 
 .if !empty(BOINC_LIBS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.boinclibs+=	boinc3-libs>=3.19.20040714
+BUILDLINK_API_DEPENDS.boinclibs+=	boinc3-libs>=3.19.20040714
 BUILDLINK_PKGSRCDIR.boinclibs?=	../../net/boinc3-libs
 
 # installs static libraries only
Index: ./net/btpd/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/btpd/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ./net/btpd/Makefile	22 Feb 2006 22:09:44 -0000	1.2
+++ ./net/btpd/Makefile	4 Apr 2006 06:26:55 -0000
@@ -9,7 +9,7 @@
 HOMEPAGE=	http://www.murmeldjur.se/btpd/
 COMMENT=	Daemon for file sharing over bittorrent
 
-BUILDLINK_DEPENDS.libevent+=	libevent>=0.9
+BUILDLINK_API_DEPENDS.libevent+=	libevent>=0.9
 
 GNU_CONFIGURE=	YES
 
Index: ./net/cdpd/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/cdpd/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- ./net/cdpd/Makefile	17 Jun 2005 03:50:24 -0000	1.11
+++ ./net/cdpd/Makefile	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 
 GNU_CONFIGURE=	YES
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.0.*
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.0.*
 
 INSTALLATION_DIRS=	man/man8 sbin
 
Index: ./net/dante/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/dante/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/dante/buildlink3.mk	3 Oct 2004 00:17:49 -0000	1.2
+++ ./net/dante/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	dante
 
 .if !empty(DANTE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.dante+=	dante>=1.1.13
-BUILDLINK_RECOMMENDED.dante+=	dante>=1.1.14nb1
+BUILDLINK_API_DEPENDS.dante+=	dante>=1.1.13
+BUILDLINK_ABI_DEPENDS.dante+=	dante>=1.1.14nb1
 BUILDLINK_PKGSRCDIR.dante?=	../../net/dante
 .endif	# DANTE_BUILDLINK3_MK
 
Index: ./net/ettercap-NG/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/ettercap-NG/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./net/ettercap-NG/Makefile	29 Dec 2005 06:21:58 -0000	1.5
+++ ./net/ettercap-NG/Makefile	4 Apr 2006 06:26:55 -0000
@@ -10,7 +10,7 @@
 
 CONFLICTS=	ettercap-[0-9]*
 
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.8.1
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.8.1
 
 GNU_CONFIGURE=		YES
 PTHREAD_OPTS+=		require
Index: ./net/firewalk/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/firewalk/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- ./net/firewalk/Makefile	4 Mar 2006 21:30:18 -0000	1.15
+++ ./net/firewalk/Makefile	4 Apr 2006 06:26:55 -0000
@@ -14,7 +14,7 @@
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV+=	CFLAGS=-I${LOCALBASE}/include
 
-BUILDLINK_DEPENDS.libnet+=	libnet-1.1.*
+BUILDLINK_API_DEPENDS.libnet+=	libnet-1.1.*
 
 MAKE_ENV+=	FIREWALK_LOC=${PREFIX:Q}
 
Index: ./net/flodo/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/flodo/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./net/flodo/Makefile	4 Mar 2006 21:30:18 -0000	1.8
+++ ./net/flodo/Makefile	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 HOMEPAGE=		http://arctic.org/~dean/flodo/
 COMMENT=		Simple network flow sampling tool
 
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.8
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.8
 
 CPPFLAGS+=		-I${BUILDLINK_PREFIX.libpcap}/include
 LDFLAGS+=		-L${BUILDLINK_PREFIX.libpcap}/lib
Index: ./net/freeradius/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/net/freeradius/Makefile,v
retrieving revision 1.46
diff -u -r1.46 Makefile
--- ./net/freeradius/Makefile	22 Mar 2006 20:53:41 -0000	1.46
+++ ./net/freeradius/Makefile	4 Apr 2006 06:26:55 -0000
@@ -20,7 +20,7 @@
 FILES_SUBST+=		ROOT_GROUP=${ROOT_GROUP:Q}
 USE_OLD_DES_API=	YES
 
-BUILDLINK_DEPENDS.openssl+=	openssl>=0.9.7
+BUILDLINK_API_DEPENDS.openssl+=	openssl>=0.9.7
 
 USE_LIBTOOL=		YES
 LIBTOOL_OVERRIDE+=	libtool
Index: ./net/freewais-sf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/freewais-sf/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/freewais-sf/buildlink3.mk	3 Oct 2004 00:17:51 -0000	1.2
+++ ./net/freewais-sf/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	freewais-sf
 
 .if !empty(FREEWAIS_SF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.freewais-sf+=	freewais-sf>=2.2.12
-BUILDLINK_RECOMMENDED.freewais-sf+=	freewais-sf>=2.2.12nb2
+BUILDLINK_API_DEPENDS.freewais-sf+=	freewais-sf>=2.2.12
+BUILDLINK_ABI_DEPENDS.freewais-sf+=	freewais-sf>=2.2.12nb2
 BUILDLINK_PKGSRCDIR.freewais-sf?=	../../net/freewais-sf
 .endif	# FREEWAIS_SF_BUILDLINK3_MK
 
Index: ./net/gift/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/gift/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/gift/buildlink3.mk	15 Oct 2004 12:14:07 -0000	1.3
+++ ./net/gift/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gift
 
 .if !empty(GIFT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gift+=	gift>=0.11.6
-BUILDLINK_RECOMMENDED.gift+=	gift>=0.11.6nb2
+BUILDLINK_API_DEPENDS.gift+=	gift>=0.11.6
+BUILDLINK_ABI_DEPENDS.gift+=	gift>=0.11.6nb2
 BUILDLINK_PKGSRCDIR.gift?=	../../net/gift
 .endif	# GIFT_BUILDLINK3_MK
 
Index: ./net/gnet/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/gnet/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./net/gnet/buildlink3.mk	5 Feb 2006 23:10:24 -0000	1.5
+++ ./net/gnet/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnet
 
 .if !empty(GNET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnet+=	gnet>=2.0.3nb1
-BUILDLINK_RECOMMENDED.gnet+=	gnet>=2.0.7nb2
+BUILDLINK_API_DEPENDS.gnet+=	gnet>=2.0.3nb1
+BUILDLINK_ABI_DEPENDS.gnet+=	gnet>=2.0.7nb2
 BUILDLINK_PKGSRCDIR.gnet?=	../../net/gnet
 .endif	# GNET_BUILDLINK3_MK
 
Index: ./net/gnet1/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/gnet1/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./net/gnet1/buildlink3.mk	5 Feb 2006 23:10:25 -0000	1.5
+++ ./net/gnet1/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnet1
 
 .if !empty(GNET1_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnet1+=	gnet1>=1.1.8nb2
-BUILDLINK_RECOMMENDED.gnet1+=	gnet1>=1.1.8nb4
+BUILDLINK_API_DEPENDS.gnet1+=	gnet1>=1.1.8nb2
+BUILDLINK_ABI_DEPENDS.gnet1+=	gnet1>=1.1.8nb4
 BUILDLINK_PKGSRCDIR.gnet1?=	../../net/gnet1
 .endif	# GNET1_BUILDLINK3_MK
 
Index: ./net/hesiod/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/hesiod/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/hesiod/buildlink3.mk	25 Apr 2004 00:34:21 -0000	1.3
+++ ./net/hesiod/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	hesiod
 
 .if !empty(HESIOD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.hesiod+=	hesiod>=3.0.2
+BUILDLINK_API_DEPENDS.hesiod+=	hesiod>=3.0.2
 BUILDLINK_PKGSRCDIR.hesiod?=	../../net/hesiod
 BUILDLINK_DEPMETHOD.hesiod?=	build
 .endif	# HESIOD_BUILDLINK3_MK
Index: ./net/howl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/howl/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/howl/buildlink3.mk	12 Feb 2006 05:26:39 -0000	1.3
+++ ./net/howl/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=		howl
 
 .if !empty(HOWL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.howl+=	howl>=0.9.5
-BUILDLINK_RECOMMENDED.howl+=	howl>=0.9.5nb1
+BUILDLINK_API_DEPENDS.howl+=	howl>=0.9.5
+BUILDLINK_ABI_DEPENDS.howl+=	howl>=0.9.5nb1
 BUILDLINK_PKGSRCDIR.howl?=	../../net/howl
 .endif	# HOWL_BUILDLINK3_MK
 
Index: ./net/kdenetwork3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/kdenetwork3/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./net/kdenetwork3/buildlink3.mk	5 Feb 2006 23:10:26 -0000	1.7
+++ ./net/kdenetwork3/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	kdenetwork
 
 .if !empty(KDENETWORK_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.kdenetwork+=	kdenetwork>=3.5.0nb1
-BUILDLINK_RECOMMENDED.kdenetwork?=	kdenetwork>=3.5.1nb1
+BUILDLINK_API_DEPENDS.kdenetwork+=	kdenetwork>=3.5.0nb1
+BUILDLINK_ABI_DEPENDS.kdenetwork?=	kdenetwork>=3.5.1nb1
 BUILDLINK_PKGSRCDIR.kdenetwork?=	../../net/kdenetwork3
 .endif	# KDENETWORK_BUILDLINK3_MK
 
Index: ./net/libIDL/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libIDL/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./net/libIDL/buildlink3.mk	5 Feb 2006 23:10:26 -0000	1.8
+++ ./net/libIDL/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libIDL
 
 .if !empty(LIBIDL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libIDL+=	libIDL>=0.8.3nb1
-BUILDLINK_RECOMMENDED.libIDL+=	libIDL>=0.8.6nb1
+BUILDLINK_API_DEPENDS.libIDL+=	libIDL>=0.8.3nb1
+BUILDLINK_ABI_DEPENDS.libIDL+=	libIDL>=0.8.6nb1
 BUILDLINK_PKGSRCDIR.libIDL?=	../../net/libIDL
 .endif	# LIBIDL_BUILDLINK3_MK
 
Index: ./net/libares/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libares/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./net/libares/buildlink3.mk	12 Mar 2005 05:42:48 -0000	1.3
+++ ./net/libares/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,7 +13,7 @@
 .include "../../mk/bsd.prefs.mk"
 
 .if !empty(LIBARES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libares+=	libares>=1.1.1
+BUILDLINK_API_DEPENDS.libares+=	libares>=1.1.1
 BUILDLINK_PKGSRCDIR.libares?=	../../net/libares
 BUILDLINK_DEPMETHOD.libares?=	build
 .endif	# LIBARES_BUILDLINK3_MK
Index: ./net/libcares/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libcares/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./net/libcares/buildlink3.mk	1 Dec 2005 17:27:10 -0000	1.1.1.1
+++ ./net/libcares/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libcares
 
 .if !empty(LIBCARES_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libcares+=	libcares>=1.3.0
+BUILDLINK_API_DEPENDS.libcares+=	libcares>=1.3.0
 BUILDLINK_PKGSRCDIR.libcares?=	../../net/libcares
 .endif	# LIBCARES_BUILDLINK3_MK
 
Index: ./net/libdnet/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libdnet/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/libdnet/buildlink3.mk	5 Feb 2006 23:10:26 -0000	1.2
+++ ./net/libdnet/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libdnet
 
 .if !empty(LIBDNET_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdnet+=	libdnet>=1.7
-BUILDLINK_RECOMMENDED.libdnet?=	libdnet>=1.10nb1
+BUILDLINK_API_DEPENDS.libdnet+=	libdnet>=1.7
+BUILDLINK_ABI_DEPENDS.libdnet?=	libdnet>=1.10nb1
 BUILDLINK_PKGSRCDIR.libdnet?=	../../net/libdnet
 .endif	# LIBDNET_BUILDLINK3_MK
 
Index: ./net/liblive/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/liblive/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./net/liblive/buildlink3.mk	3 Oct 2004 00:17:54 -0000	1.2
+++ ./net/liblive/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	liblive
 
 .if !empty(LIBLIVE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.liblive+=	liblive>=2003.04.04
-BUILDLINK_RECOMMENDED.liblive+=	liblive>=2003.04.04nb1
+BUILDLINK_API_DEPENDS.liblive+=	liblive>=2003.04.04
+BUILDLINK_ABI_DEPENDS.liblive+=	liblive>=2003.04.04nb1
 BUILDLINK_PKGSRCDIR.liblive?=	../../net/liblive
 .endif	# LIBLIVE_BUILDLINK3_MK
 
Index: ./net/libnids/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libnids/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./net/libnids/buildlink3.mk	25 Apr 2004 04:25:11 -0000	1.1
+++ ./net/libnids/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libnids
 
 .if !empty(LIBNIDS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libnids+=	libnids>=1.18
+BUILDLINK_API_DEPENDS.libnids+=	libnids>=1.18
 BUILDLINK_PKGSRCDIR.libnids?=	../../net/libnids
 BUILDLINK_DEPMETHOD.libnids?=	build
 .endif	# LIBNIDS_BUILDLINK3_MK
Index: ./net/libpcap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libpcap/buildlink3.mk,v
retrieving revision 1.16
diff -u -r1.16 buildlink3.mk
--- ./net/libpcap/buildlink3.mk	12 Jan 2005 15:44:12 -0000	1.16
+++ ./net/libpcap/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -14,7 +14,7 @@
 
 .if !empty(LIBPCAP_BUILDLINK3_MK:M+)
 # XXX?
-BUILDLINK_DEPENDS.libpcap+=	libpcap>=0.5.0
+BUILDLINK_API_DEPENDS.libpcap+=	libpcap>=0.5.0
 BUILDLINK_PKGSRCDIR.libpcap?=	../../net/libpcap
 
 # on Solaris, we always need libnsl and libsocket because libpcap.a
Index: ./net/libpcap/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libpcap/builtin.mk,v
retrieving revision 1.12
diff -u -r1.12 builtin.mk
--- ./net/libpcap/builtin.mk	27 Feb 2006 14:20:47 -0000	1.12
+++ ./net/libpcap/builtin.mk	4 Apr 2006 06:26:55 -0000
@@ -82,7 +82,7 @@
 .    if defined(BUILTIN_PKG.libpcap) && \
         !empty(IS_BUILTIN.libpcap:M[yY][eE][sS])
 USE_BUILTIN.libpcap=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.libpcap}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.libpcap}
 .        if !empty(USE_BUILTIN.libpcap:M[yY][eE][sS])
 USE_BUILTIN.libpcap!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.libpcap:Q}; then \
Index: ./net/libradius/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libradius/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./net/libradius/buildlink3.mk	11 Nov 2004 11:57:47 -0000	1.4
+++ ./net/libradius/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -13,7 +13,7 @@
 BUILDLINK_PACKAGES+=	libradius
 
 .if !empty(LIBRADIUS_LINUX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libradius+=	libradius>=20040827
+BUILDLINK_API_DEPENDS.libradius+=	libradius>=20040827
 BUILDLINK_PKGSRCDIR.libradius?=	../../net/libradius
 BUILDLINK_DEPMETHOD.libradius?=	build
 
Index: ./net/libsoup/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/net/libsoup/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./net/libsoup/buildlink3.mk	5 Feb 2006 23:10:26 -0000	1.9
+++ ./net/libsoup/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libsoup
 
 .if !empty(LIBSOUP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libsoup+=	libsoup>=1.99.28nb3
-BUILDLINK_RECOMMENDED.libsoup?=	libsoup>=1.99.28nb4
+BUILDLINK_API_DEPENDS.libsoup+=	libsoup>=1.99.28nb3
+BUILDLINK_ABI_DEPENDS.libsoup?=	libsoup>=1.99.28nb4
 BUILDLINK_PKGSRCDIR.libsoup?=	../../net/libsoup
 .endif	# LIBSOUP_BUILDLINK3_MK
 
